function [but_lpf]=butter_lp(x,fc,N)
% butter_lp(x,fc,N) generates  the filter coefficients
% of the  Butterworth low-pass filter
% of the same size as image x, cutoff fc, and order N
%
r=size(x,1);c=size(x,2);
[x,y]=meshgrid(-floor(c/2):floor((c-1)/2),-floor(r/2): ...
floor((r-1)/2));
but_lpf=1./(1+(sqrt(x.^2+y.^2)/fc).^(2*N));